As an embedded payments partner, keeping track of all of your merchant accounts and knowing details such as status, enabled capabilities, and limits can help you better support them and avoid unnecessary transaction delays. This guide focuses on getting both basic and granular reporting data on your merchants and their associated accounts.
For more information on merchant management, see our Overview.
Before starting the steps in this guide, make sure you:
First, we get a list of all of the merchants associated with a partner program. This will include statuses and merchant IDs, which you’ll need to retrieve further details.
curl --compressed -X GET "https://apis.sandbox.globalpay.com/ucp/merchants" \
-H "Authorization: Bearer DCKbRy6gtN6gWJI2ja0B7e3POtbb" \
-H "Content-type: application/json" \
-H "X-GP-Version: 2021-03-22" \Use the response to identify a specific merchant whose details you need.
"current_page_size": 5,
"merchant_id": "PAR_c146e21518104eda93ed9be9038baf6e",
"merchant_name": "Demo Merchant",
"account_id": "MMA_3025f59e0a244a25a27f375cb731f71f",
"account_name": "Demo Merchant",
"filter": {
"from_time_created": "2024-02-24T00:00:00.000Z",
"to_time_created": "2025-03-27T23:59:59.999Z"
},
"paging": {
"page_size": 5,
"page": 1,
"order": "DESC",
"order_by": "TIME_CREATED"
},
"merchants": [
{
"id": "MER_e3ceae0763144c2c9b4f50222a599d8b",
"name": "{{randomUserName1}}",
"status": "ACTIVE",
"organization": "",
"industry": "",
"integrator": "",
"hierarchy": "",
"primary_mid": "",
"region": "",
"links": [
{
"rel": "self",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_e3ceae0763144c2c9b4f50222a599d8b"
},
{
"rel": "accounts",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_e3ceae0763144c2c9b4f50222a599d8b/accounts"
}
]
},
{
"id": "MER_e7439fab6ef84e909a6c3892dbfe8a91",
"name": "Alyson63",
"status": "ACTIVE",
"organization": "",
"industry": "",
"integrator": "",
"hierarchy": "",
"primary_mid": "",
"region": "",
"links": [
{
"rel": "self",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_e7439fab6ef84e909a6c3892dbfe8a91"
},
{
"rel": "accounts",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_e7439fab6ef84e909a6c3892dbfe8a91/accounts"
}
]
},
{
"id": "MER_ba73cc8702d74fc0ab8576403e81494f",
"name": "Orlando_Braun74",
"status": "ACTIVE",
"organization": "",
"industry": "",
"integrator": "",
"hierarchy": "",
"primary_mid": "",
"region": "",
"links": [
{
"rel": "self",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_ba73cc8702d74fc0ab8576403e81494f"
},
{
"rel": "accounts",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_ba73cc8702d74fc0ab8576403e81494f/accounts"
}
]
},
{
"id": "MER_7c3742becabe410c9bc04161f92171cf",
"name": "Daphney.Schuster26",
"status": "ACTIVE",
"organization": "",
"industry": "",
"integrator": "",
"hierarchy": "",
"primary_mid": "",
"region": "",
"links": [
{
"rel": "self",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_7c3742becabe410c9bc04161f92171cf"
},
{
"rel": "accounts",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_7c3742becabe410c9bc04161f92171cf/accounts"
}
]
},
{
"id": "MER_613e1cde90d446e2aef8ae2632051d6d",
"name": "Sandra_Osinski33",
"status": "UNDER_REVIEW",
"organization": "",
"industry": "",
"integrator": "",
"hierarchy": "",
"primary_mid": "",
"region": "",
"links": [
{
"rel": "self",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_613e1cde90d446e2aef8ae2632051d6d"
},
{
"rel": "accounts",
"href": "https://apis.sandbox.globalpay.com/ucp/merchants/MER_613e1cde90d446e2aef8ae2632051d6d/accounts"
}
]
}
],
"action": {
"id": "ACT_Quf7Q9qp3pgpwXsQXIQp8TzhromGmu",
"type": "MERCHANT_LIST",
"time_created": "2025-03-27T06:00:42.746Z",
"result_code": "SUCCESS",
"app_id": "s8BXOr6DxRKtizTN0fouveLB2uYFR0QV",
"app_name": "demo app"
}
}Once you have the merchant ID (MER_id), you can retrieve detailed information about a specific merchant, such as status and account associations.
curl --compressed -X GET "https://apis.sandbox.globalpay.com/ucp/merchants/MER_31087d9c-e68c-4389-9f13-39378e166ea5" \
-H "Authorization: Bearer DCKbRy6gtN6gWJI2ja0B7e3POtbb" \
-H "X-GP-Version: 2021-03-22" \{
"id": "MER_ba73cc8702d74fc0ab8576403e81494f",
"type": "MERCHANT",
"time_created": "2025-01-29T15:02:53.999Z",
"time_last_updated": "2025-01-29T15:04:14.999Z",
"status": "ACTIVE",
"status_reason": "ACTIVE",
"name": "Orlando_Braun74",
"reference": "OrlandoBraun74",
"currency": "USD",
"dba": "Global Payments",
"website": "https://www.example.com",
"tax_id_reference": "153759426",
"notification_email": "ukembeddedpayments0924241@example.com",
"pricing_profile": "test",
"notifications": {
"status_url": "https://eowgjxz5cq3ezj1.m.pipedream.net/"
},
"persons": [
{
"functions": [
"APPLICANT"
],
"first_name": "John",
"middle_name": "G",
"last_name": "Doe",
"email": "randomemail@example.com",
"address": {
"line_1": "1 Business Address",
"line_2": "Suite 2",
"line_3": "foyer",
"city": "Atlanta",
"state": "GA",
"postal_code": "30346",
"country": "US"
},
"contact_phone": {
"subscriber_number": "8008675309"
},
"work_phone": {
"subscriber_number": "8008675309"
}
}
],
"addresses": [
{
"functions": [
"BUSINESS"
],
"line_1": "1 Business Address",
"line_2": "Suite 2",
"line_3": "",
"city": "Atlanta",
"state": "GA",
"postal_code": "30346",
"country": ""
},
{
"functions": [
"SHIPPING"
],
"line_1": "1 Shipping Address",
"line_2": "Suite 2",
"line_3": "foyer",
"city": "Atlanta",
"state": "GA",
"postal_code": "30346",
"country": "US"
}
],
"payment_methods": [
{
"functions": [
"PRIMARY_PAYOUT"
],
"name": "",
"bank_transfer": {
"account_holder_type": "Personal",
"masked_number_last4": "3786",
"account_type": "Checking",
"bank": {
"code": "124002971",
"name": "National Bank"
}
}
},
{
"functions": [
"FEES"
],
"name": "",
"bank_transfer": {
"account_holder_type": "",
"masked_number_last4": "",
"account_type": "",
"bank": {
"code": "",
"name": "",
"address": {
"line_1": "",
"line_2": "",
"line_3": "",
"city": "",
"state": "",
"postal_code": "",
"country": ""
}
}
}
},
{
"functions": [
"SECONDARY_PAYOUT"
],
"name": "",
"bank_transfer": {
"account_holder_type": "Personal",
"masked_number_last4": "3786",
"account_type": "Checking",
"bank": {
"code": "124002971",
"name": "National Bank"
}
}
}
],
"start_date": "2025-01-29T08:02:56.000Z",
"expiration_date": "2026-01-29T00:00:00.000Z",
"action": {
"id": "ACT_T2EsbhDRyUzfQNwBIRRUlUT6aI5WwR",
"type": "MERCHANT_SINGLE",
"time_created": "2025-03-27T06:01:33.450Z",
"result_code": "SUCCESS",
"app_id": "s8BXOr6DxRKtizTN0fouveLB2uYFR0QV",
"app_name": "demo app"
}
}Each merchant has associated accounts that give them the ability to hold funds and perform transactions. Here, we retrieve all of the accounts linked to a merchant.
curl --compressed -X GET "https://apis.sandbox.globalpay.com/ucp/accounts" \
-H "Authorization: Bearer G3FA4TuYGCBiCWs4YpzrALGCYXZJ" \
-H "X-GP-Version: 2021-03-22" \This response includes all accounts linked to the merchant.
{
"current_page_size": 4,
"merchant_id": "MER_ba73cc8702d74fc0ab8576403e81494f",
"merchant_name": "Orlando_Braun74",
"filter": {
"from_time_created": "2024-01-01T00:00:00.000Z",
"to_time_created": "2025-04-04T23:59:59.999Z"
},
"paging": {
"page_size": 5,
"page": 1,
"order": "ASC",
"order_by": "TIME_CREATED"
},
"accounts": [
{
"id": "TKA_58f7c67d05384efc948341671a34d7b3",
"type": "TOKENIZATION",
"name": "Tokenization_PartnerTest_863af4c56f",
"status": "ACTIVE",
"permissions": [
"ACC_GET_Single",
"ACC_GET_Single_Platform",
"ACT_GET_List",
"ACT_GET_Single",
"ACT_POST_Auto_Action",
"ACT_POST_Multiple",
"APP_GET_List",
"APP_GET_Single",
"APP_GET_Single_Key",
"APP_POST_Search_PFCValidate",
"GET_Single",
"PFC_GET_List",
"PFC_GET_Single",
"PMT_Delete",
"PMT_GET_List",
"PMT_GET_Single",
"PMT_PATCH_Edit",
"PMT_POST_Create",
"PMT_POST_Create_Single",
"PMT_POST_Detokenize",
"PMT_POST_Search"
]
},
{
"id": "TRA_f4b26dfd0a384dfcba5e0d7d8b52e45d",
"type": "TRANSACTION_PROCESSING",
"name": "718649239_988846",
"status": "ACTIVE",
"permissions": [
"ACC_GET_List",
"ACC_GET_Single",
"ACC_GET_Single_Platform",
"ACT_GET_List",
"ACT_GET_Single",
"ACT_POST_Auto_Action",
"ACT_POST_Multiple",
"APP_GET_List",
"APP_GET_Single",
"APP_POST_Search_PFCValidate",
"AUT_POST_Check_Availability",
"AUT_POST_Initiate",
"AUT_POST_Results",
"BAT_GET_Single",
"BAT_POST_Close",
"DEV_POST_Sync",
"GET_Single",
"PFC_GET_List",
"TRN_GET_List",
"TRN_GET_Single",
"TRN_POST_Adjust",
"TRN_POST_Authorize",
"TRN_POST_Capture",
"TRN_POST_Confirm",
"TRN_POST_Initiate",
"TRN_POST_Refund",
"TRN_POST_Reverse",
"TRN_POST_Split",
"VER_POST_Verify"
],
"countries": [
"US"
],
"channels": [
"CNP"
],
"currencies": [
"AED",
"AFN",
"AMD",
"ANG",
"AOA",
"ARS",
"AUD",
"AWG",
"AZN",
"BAM",
"BBD",
"BDT",
"BGN",
"BHD",
"BIF",
"BMD",
"BND",
"BOB",
"BOV",
"BRL",
"BSD",
"BTN",
"BWP",
"BYN",
"BZD",
"CAD",
"CDF",
"CHE",
"CHF",
"CHW",
"CLF",
"CLP",
"CNY",
"COP",
"COU",
"CRC",
"CUC",
"CUP",
"CVE",
"CZK",
"DJF",
"DKK",
"DOP",
"DZD",
"EGP",
"ERN",
"ETB",
"EUR",
"FJD",
"FKP",
"GBP",
"GEL",
"GHS",
"GIP",
"GMD",
"GNF",
"GTQ",
"GYD",
"HKD",
"HNL",
"HRK",
"HTG",
"HUF",
"IDR",
"ILS",
"INR",
"IQD",
"IRR",
"ISK",
"JMD",
"JOD",
"JPY",
"KES",
"KGS",
"KHR",
"KMF",
"KPW",
"KRW",
"KWD",
"KYD",
"KZT",
"LAK",
"LBP",
"LKR",
"LRD",
"LSL",
"LYD",
"MAD",
"MDL",
"MGA",
"MKD",
"MMK",
"MNT",
"MOP",
"MRU",
"MUR",
"MVR",
"MWK",
"MXN",
"MXV",
"MYR",
"MZN",
"NAD",
"NGN",
"NIO",
"NOK",
"NPR",
"NZD",
"OMR",
"PAB",
"PEN",
"PGK",
"PHP",
"PKR",
"PLN",
"PYG",
"QAR",
"RON",
"RSD",
"RUB",
"RWF",
"SAR",
"SBD",
"SCR",
"SDG",
"SEK",
"SGD",
"SHP",
"SLL",
"SOS",
"SRD",
"SSP",
"STN",
"SVC",
"SYP",
"SZL",
"THB",
"TJS",
"TMT",
"TND",
"TOP",
"TRY",
"TTD",
"TWD",
"TZS",
"UAH",
"UGX",
"USD",
"USN",
"UYI",
"UYU",
"UYW",
"UZS",
"VES",
"VND",
"VUV",
"WST",
"XAF",
"XAG",
"XAU",
"XBA",
"XBB",
"XBC",
"XBD",
"XCD",
"XDR",
"XOF",
"XPD",
"XPF",
"XPT",
"XSU",
"XTS",
"XUA",
"XXX",
"YER",
"ZAR",
"ZMW",
"ZWL"
],
"actions": [
"ADJUST",
"AUTHORIZE",
"CAPTURE",
"CHECK_AVAILABILITY",
"CONFIRM",
"DEVICE_LIST",
"DEVICE_SINGLE",
"FORCE",
"GET_CHALLENGE_RESULT",
"INCREMENT",
"INITIATE",
"INSTALLMENT_QUERY",
"MULTIPLE_CAPTURE",
"PARTIAL_AUTHORIZE",
"PARTIAL_PREAUTHORIZE",
"PREAUTHORIZE",
"PREAUTHORIZE_MULTIPLE_CAPTURE",
"RATE_LOOKUP",
"REAUTHORIZATION",
"REFUND",
"REVERSE",
"REVERSE_SPLIT",
"SPLIT",
"TRANSACTION_SINGLE",
"VERIFY"
],
"payment_methods": [
"BANK_TRANSFER"
]
},
{
"id": "FMA_1eda0a7d084144edab009bf50b1ab1ae",
"type": "FUND_MANAGEMENT",
"name": "718649239_947797",
"status": "ACTIVE",
"permissions": [
"ACC_GET_List",
"ACC_GET_Single",
"FMA_LIMIT_Notification",
"FND_POST_Create",
"GET_Single",
"TRF_POST_Reverse",
"TRF_POST_Transfer"
]
},
{
"id": "TRA_c321159dc54e434f9ee22a7c2a2028f0",
"type": "TRANSACTION_PROCESSING",
"name": "718649239_732592",
"status": "ACTIVE",
"permissions": [
"ACC_GET_List",
"ACC_GET_Single",
"ACC_GET_Single_Platform",
"ACT_GET_List",
"ACT_GET_Single",
"ACT_GET_Single_Logs",
"ACT_POST_Auto_Action",
"ACT_POST_Multiple",
"APP_GET_List",
"APP_GET_Single",
"APP_POST_Search_PFCValidate",
"AUT_POST_Check_Availability",
"AUT_POST_Initiate",
"AUT_POST_Results",
"BAT_GET_Single",
"BAT_POST_Close",
"DEV_POST_Sync",
"GET_Single",
"PFC_GET_List",
"TRN_GET_List",
"TRN_GET_Single",
"TRN_POST_Adjust",
"TRN_POST_Authorize",
"TRN_POST_Capture",
"TRN_POST_Confirm",
"TRN_POST_Force",
"TRN_POST_Initiate",
"TRN_POST_Refund",
"TRN_POST_Reverse",
"TRN_POST_Split",
"VER_POST_Verify"
],
"countries": [
"US"
],
"channels": [
"CNP"
],
"currencies": [
"AED",
"AFN",
"AMD",
"ANG",
"AOA",
"ARS",
"AUD",
"AWG",
"AZN",
"BAM",
"BBD",
"BDT",
"BGN",
"BHD",
"BIF",
"BMD",
"BND",
"BOB",
"BOV",
"BRL",
"BSD",
"BTN",
"BWP",
"BYN",
"BZD",
"CAD",
"CDF",
"CHE",
"CHF",
"CHW",
"CLF",
"CLP",
"CNY",
"COP",
"COU",
"CRC",
"CUC",
"CUP",
"CVE",
"CZK",
"DJF",
"DKK",
"DOP",
"DZD",
"EGP",
"ERN",
"ETB",
"EUR",
"FJD",
"FKP",
"GBP",
"GEL",
"GHS",
"GIP",
"GMD",
"GNF",
"GTQ",
"GYD",
"HKD",
"HNL",
"HRK",
"HTG",
"HUF",
"IDR",
"ILS",
"INR",
"IQD",
"IRR",
"ISK",
"JMD",
"JOD",
"JPY",
"KES",
"KGS",
"KHR",
"KMF",
"KPW",
"KRW",
"KWD",
"KYD",
"KZT",
"LAK",
"LBP",
"LKR",
"LRD",
"LSL",
"LYD",
"MAD",
"MDL",
"MGA",
"MKD",
"MMK",
"MNT",
"MOP",
"MRU",
"MUR",
"MVR",
"MWK",
"MXN",
"MXV",
"MYR",
"MZN",
"NAD",
"NGN",
"NIO",
"NOK",
"NPR",
"NZD",
"OMR",
"PAB",
"PEN",
"PGK",
"PHP",
"PKR",
"PLN",
"PYG",
"QAR",
"RON",
"RSD",
"RUB",
"RWF",
"SAR",
"SBD",
"SCR",
"SDG",
"SEK",
"SGD",
"SHP",
"SLL",
"SOS",
"SRD",
"SSP",
"STN",
"SVC",
"SYP",
"SZL",
"THB",
"TJS",
"TMT",
"TND",
"TOP",
"TRY",
"TTD",
"TWD",
"TZS",
"UAH",
"UGX",
"USD",
"USN",
"UYI",
"UYU",
"UYW",
"UZS",
"VES",
"VND",
"VUV",
"WST",
"XAF",
"XAG",
"XAU",
"XBA",
"XBB",
"XBC",
"XBD",
"XCD",
"XDR",
"XOF",
"XPD",
"XPF",
"XPT",
"XSU",
"XTS",
"XUA",
"XXX",
"YER",
"ZAR",
"ZMW",
"ZWL"
],
"actions": [
"ADJUST",
"AUTHORIZE",
"CAPTURE",
"DEVICE_LIST",
"DEVICE_SINGLE",
"FORCE",
"PREAUTHORIZE",
"REAUTHORIZATION",
"REFUND",
"REVERSE",
"SPLIT",
"TRANSACTION_LIST",
"TRANSACTION_SINGLE",
"VERIFY"
],
"payment_methods": [
"APM",
"CARD",
"DIGITAL_WALLET",
"NETWORK_TOKEN"
]
}
],
"action": {
"id": "ACT_VlFhc0psIbvQ7zevmUTPbO5RV7J7P3",
"type": "ACCOUNT_LIST",
"time_created": "2025-04-04T19:35:55.012Z",
"result_code": "SUCCESS",
"app_id": "s8BXOr6DxRKtizTN0fouveLB2uYFR0QV",
"app_name": "demo app"
}
}Now that we know the accounts for a particular merchant, we can get more specific details about an account associated with that merchant. This can include the merchant’s processing volumes, limits, balances, transactions, and tokenized account information.
In this example, we retrieve specific details for a Funds Management Account (FMA). For detailed insights into any kind of account, see Get info about a Single Account in the API Explorer.
curl --compressed -X GET "https://apis.sandbox.globalpay.com/ucp/merchants/MER_31087d9c-e68c-4389-9f13-39378e166ea5/accounts/FMA_02ca6d0284b743449a28aadfb702c71c" \
-H "Authorization: Bearer G3FA4TuYGCBiCWs4YpzrALGCYXZJ" \
-H "X-GP-Version: 2021-03-22" \{
"id": "FMA_345e7b4fe3474b549e940ad2fc682377",
"type": "FUND_MANAGEMENT",
"name": "718657604_402300",
"status": "ACTIVE",
"time_created": "2025-04-12T04:32:32.000Z",
"time_last_updated": "",
"permissions": [
"ACC_GET_List",
"ACC_GET_Single",
"FMA_LIMIT_Notification",
"FND_POST_Create",
"GET_Single",
"TRF_POST_Reverse",
"TRF_POST_Transfer"
],
"platform": {
"id": "PFC_2c48745c3c10463fb76d0ea6670c2adb",
"reference": "PTF_2c48745c3c10463fb76d0ea6670c2adb",
"name": "PROPAY",
"platform_name": "718657604",
"platform_mid": "718657604",
"masked_certstr_key_last4": "XXXXXXXXXXXXXXXXXXXXXXXXXX7687",
"termid": "9b70be4"
},
"capabilities": [
"PAY_OUT_ENABLE",
"CARD_PROCESSING_OVER_LIMIT_ENABLE",
"BANK_TRANSFER_PROCESSING_OVER_LIMIT_ENABLE"
],
"payment_processing_statistics": {
"card_transaction_limit_amount": "50000",
"card_monthly_limit_amount": "300000",
"bank_transfer_per_transaction_limit_amount": "1000000",
"bank_transfer_monthly_limit_amount": "300000000",
"bank_transfer_month_to_date_processed_amount": "0",
"card_month_to_date_processed_amount": "0",
"available_balance_amount": "0",
"pending_balance_amount": "0",
"reserve_balance_amount": "0",
"allowed_negative_balance_amount": "50000",
"disable_payout_card_limit_percentage": "300",
"disable_payout_bank_transfer_limit_percentage": "300",
"card_month_to_date_processed_percentage": "0.00",
"bank_transfer_month_to_date_processed_percentage": "0.00"
},
"action": {
"id": "ACT_VCD9ILVitKg9SdP8Lbir6AjREQ0tl4",
"type": "ACCOUNT_SINGLE",
"time_created": "2025-04-18T17:24:35.545Z",
"result_code": "SUCCESS",
"app_id": "s8BXOr6DxRKtizTN0fouveLB2uYFR0QV",
"app_name": "demo app"
}
}To get a deeper understanding of merchant management and reporting, we recommend that you use our provided integration references. For the full detailed API specification, see the API Explorer.
See the full API specification for managing merchants.
Add server-side or client-side code to your integration.
This solution is available for testing in our free Sandbox environment for registered users of this developer portal. Use our resources below to start testing different scenarios.
Test different transaction outcomes with simulated cards or banks.
View, import, or fork our API collection in Postman.
View successful responses, HTTP status codes, action response data, and errors.
Below are recommended next steps for your partner integration.